/**
  Theme Name: Dareplus Child
  Theme URI: https://ezmanagement.it/dareplus/wp/
  Description: This is a child theme of Dareplus
  Author: EZ Management & Consulting
  Author URI: https://ezmanagement.it/
  Template: dareplus
  Version: 1.0.0
*/

:root {
  --font-primary: "Montserrat", sans-serif !important;
  --font-secondary: "Montserrat", sans-serif !important;
  --color-accent-primary-1: #62ff00;
  --color-accent-primary-2: #ebe6dd;
  --color-accent-primary-3: #c9bcae // #ab9c8d;
    --color-accent-primary-4: #561a7b;
  --color-accent-secondary-1: #628ab2;
  --color-accent-secondary-2: #3c556e;
  --color-accent-secondary-3: #283847;
  --color-accent-secondary-4: #162330;
}

.bg-ornament {
  background-image: url("./img/general/bg-ornament.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

li.social__item.header-lang {
	margin: 0 6px;
	text-transform: uppercase;
}

li.social__item.header-lang a {
	font-size: 15px;
}

.header_sticky.bg-dark-2 li.social__item.header-lang a {
	color: #fff;
}

li.social__item.header-lang-mob {
	margin: 0 6px;
	text-transform: uppercase;
}

li.social__item.header-lang-mob a {
	color: #fff;
	font-size: 16px;
}

li.social__item.header-lang-mob a:hover {
	color: #fff;
}

.header__wrapper-overlay-widgets .social__item.lang-switcher {
  transform: matrix(1, 0, 0, 1, 0, 0) !important;
}

.container-hero .mt-10 {
  margin-top: 2.5rem;
}

.play-button {
  width: 2.5rem;
  height: 2.5rem;
}

.logo-hero {
  width: 20rem;
  margin: 0 auto;
}

.text-consulenza {
  margin-top: 15px;
  color: #000000;
  color: 22px;
}

.text-consulenza span.font-bold,
.ml12 span.font-bold {
  font-weight: 700;
}

#start-button-container {
  margin-top: 2rem;
  font-weight: 700;
  color: #000000;
  text-transform: uppercase;
}

#start-button {
  display: inline;
}

#quiz {
  overflow: hidden;
}

/*!========================================================================
 * 131. SVG
 * ======================================================================!*/
/* * PORTFOLIO SVG */
#carrello {
  display: none;
  width: 70% !important;
  /*Adattaledimensioni*/
  height: auto;
  margin: 50px auto;
  cursor: pointer;
  overflow: visible;
}

.svg-container {
  height: auto;
}

/* svg {
  width: 100px;
  height: 100%;
  position: absolute;
  overflow: visible;
} */

#backgroundPath {
  stroke: lightgray;
  fill: lightgray;
  stroke-width: 2;
}

#animatedPath {
  stroke: #3a3e3f;
  fill: transparent;
  stroke-width: 2;
  stroke-dasharray: 1000;
  stroke-dashoffset: 1000;
  transition: fill 1s ease-in-out;
}

@keyframes draw {
  from {
    stroke-dashoffset: 1000;
  }

  to {
    stroke-dashoffset: 0;
  }
}

@keyframes erase {
  from {
    stroke-dashoffset: 0;
  }

  to {
    stroke-dashoffset: 1000;
  }
}

.svg-container:hover #animatedPath {
  animation: draw 2s forwards ease-in-out;
}

.svg-container.hovered #animatedPath {
  fill: #3a3e3f;
}

/* *PRELOADER SVG */
#preloader_dareplus {
  width: 500px;
  height: 500px;
  overflow: visible;
}

.animetedPathpreloader {
  stroke: #fff;
  fill: transparent;
  stroke-width: 2;
  stroke-dasharray: 1000;
  stroke-dashoffset: 1000;
  transition: fill .6s ease-in;
  -webkit-transition: fill .6s ease-in;
  -moz-transition: fill .6s ease-in;
  -ms-transition: fill .6s ease-in;
  -o-transition: fill .6s ease-in;
  animation: draw 4.2s ease-in-out;
  -webkit-animation: draw 4.2s ease-in-out;
  animation-delay: 1s;
}

@keyframes draw {
  from {
    stroke-dashoffset: 1000;
  }

  to {
    stroke-dashoffset: 0;
  }
}

.fillPreloader>* {
  fill: #fff;
}

@media only screen and (max-width: 500px) {
  #preloader_dareplus {
    width: 300px;
    height: 300px;
    overflow: visible;
  }
}

/*!========================================================================
 * 132. TEXT-CONTAINER & QUIZ-CONTAINER
 * ======================================================================!*/
/* Stili per il blocco testuale (inizialmente centrato) */

.elementor-element.elementor-element-5017a89.e-con-full.e-flex.e-con.e-parent.e-lazyloaded {
  position: relative;
}

#text-container {
  position: absolute;
  left: 50%;
  /* top: 0; */
  transform: translateX(-50%);
  text-align: center;
  padding: 20px;
  box-sizing: border-box;
  width: 70%;
  overflow: hidden;
  transition: max-height .1s ease-in-out;
  -webkit-transition: max-height .1s ease-in-out;
  -moz-transition: max-height .1s ease-in-out;
  -ms-transition: max-height .1s ease-in-out;
  -o-transition: max-height .1s ease-in-out;
}

/* Stili per il blocco quiz (inizialmente posizionato fuori a destra e invisibile) */
#quiz-container {
  position: absolute;
  left: 50%;
  transform: translateX(150%);
  text-align: center;
  padding: 20px;
  box-sizing: border-box;
  opacity: 0;
}

.ml12 {
  font-weight: 300;
  opacity: 0;
  /* font-size: 1.3em; */
  letter-spacing: 0.05em;
}

.ml12 .letter {
  font-size: 35px;
  display: inline-block;
  line-height: 1em;
}

/* * TEXT-HERO P */
.ml16 {
  /* letter-spacing: 0.5em; */
  opacity: 0;
  overflow: hidden;
  text-wrap-style: balance;
}

.ml16 .letter {
  display: inline-block;
  line-height: 1em;
}

#logoDarePlus,
#start-button {
  opacity: 0;
}

.ml11 {
  font-weight: 900;
  font-size: 3.5em;
  opacity: 0;
}

.ml11 .text-wrapper {
  position: relative;
  display: inline-block;
  padding-top: 0.1em;
  padding-right: 0.05em;
  padding-bottom: 0.15em;
}

.ml11 .line {
  opacity: 0;
  position: absolute;
  left: 0;
  height: 100%;
  width: 2px;
  background-color: #000;
  transform-origin: 0 50%;
}

.ml11 .line1 {
  top: 0;
  left: 0;
}

.ml11 .letter {
  display: inline-block;
  line-height: 1em;
  opacity: 0;
  color: #000;
}

@media only screen and (max-height: 900px) {
  #text-container {
    position: static;
    transform: translateX(0%);
  }

  #quiz-container {
    position: static;
    display: none;
    transform: translateX(0%);
    width: 50%;
  }
}

@media only screen and (max-width: 992px) {
  #text-container {
    position: static;
    transform: translateX(0%);
  }

  #quiz-container {
    position: static;
    display: none;
    transform: translateX(0%);
  }
}

@media only screen and (max-width: 551px) {
  .package {
    flex-direction: column;
    align-items: start;
  }

  #text-container {
    width: 100%;
  }
}

@media only screen and (max-width: 501px) {
  #text-container {
    width: 100%;
  }

  .summary-wrapper-container {
    flex-direction: column;
  }

  .summary-question {
    width: 100%;
  }

  .answer-select {
    width: 100%;
    padding: 0.5rem 0rem;
  }
}

@media only screen and (max-width: 351px) {
  .package-title {
    flex-direction: column;
    width: 100%;
  }
	
  .logo-hero {
    width: 15rem;
  }
}


/*!========================================================================
 * 97. Select
 * ======================================================================!*/
select {
  display: inline-block;
  border: 1px solid rgba(136, 136, 136, 0.3);
  padding: 10px 35px 10px 15px;
  background-color: transparent;
  outline: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-image: url("assets/img/freccia-giu.svg");
  background-position: right 0px bottom 50%;
  background-repeat: no-repeat;
  background-size: 15px 7px;
}

.social {
  display: flex;
  justify-content: center;
  align-items: center;
}

a.social__icon.custom-cart-icon {
  background: url('/wp-content/themes/dareplus-child/assets/img/cart-icon.svg');
  width: 25px;
  height: 20px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
  position: relative;
}

.header_sticky.bg-dark-2 a.social__icon.custom-cart-icon {
  filter: invert(1);
  -webkit-filter: invert(1);
}

span.cart-count {
  position: absolute;
  top: -11px;
  right: -12px;
  background: #ff000080;
  /*background: #ffffff80;
  */
  color: #ffffff;
  /*font-weight: bold;
  */
  border-radius: 100%;
  width: 20px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 2px;
  border: 1px solid #000000b0;
  backdrop-filter: blur(20px);
  transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
}

.header_sticky.bg-dark-2 a.social__icon.custom-cart-icon .cart-count {
  background: #ff0000;
  filter: invert(1);
  -webkit-filter: invert(1);
}

a.social__icon.custom-search-icon {
  background: url('/wp-content/themes/dareplus-child/assets/img/search-icon.svg');
  width: 20px;
  height: 20px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center center;
}

.header_sticky.bg-dark-2 a.social__icon.custom-search-icon {
  filter: invert(1);
  -webkit-filter: invert(1);
}

.slider-fullscreen__content-inner {
  width: 100%;
  height: 80% !important;
}

a.slider__link {
  display: none !important;
}

.woocommerce-message {
  border-top-color: #162330 !important;
}

/*!========================================================================
 * 97. Header
 * ======================================================================!*/

@media only screen and (max-width: 1181px) {
  .container-fluid.header__controls.header__container {
    padding: 10px;
  }
}

@media only screen and (max-width: 991px) {
  .header__wrapper-overlay-widgets .social .social__icon {
    filter: invert();
  }
}